Skip to content

organization_roles_create

Creates a reusable organization role with allow/deny permission patterns (owner/admin)

Tool

organization_roles_create

Creates a reusable organization role with allow/deny permission patterns (owner/admin)

Creates a reusable organization role with allow/deny permission patterns (owner/admin)

Behavior

HTTP
POST /governance/api/v1/organizations/:orgId/roles

Arguments

Name
Type
Required
Description
deny
array
—
No description in the catalog.
name
string
•
No description in the catalog.
allow
array
—
No description in the catalog.
orgId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
deny
array
•
name
string
•
type
string
•
allow
array
•
createdAt
string
•
updatedAt
string
•
organizationId
string
•

Try it

Creates a reusable organization role with allow/deny permission patterns (owner/admin).

When to use

Creates a reusable organization role with allow/deny permission patterns (owner/admin)

Example

Ask your agent something like this:

Creates a reusable organization role with allow/deny permission patterns (owner/admin).

The agent will invoke organization_roles_create with these arguments:

{
  "name": "<name>",
  "orgId": "<orgId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select